%define module_name pctel
%define module_version 0.9.6
%define module_release alt1
%define module_source http://linmodems.technion.ac.il/pctel-linux/pctel-%module_version.tar.gz
%define module_source_dir pctel-%{module_version}

#### MODULE SOURCES ####
Name:          kernel-source-%{module_name}-%{module_version}
Version:       %{module_version}
Release:       %{module_release}
Summary:       Linux %{module_name} modules sources
License:       GPL
Group:         Development/Kernel
BuildArch:     noarch
Source0:       %{module_source}

Packager:       Kernel Maintainers Team <kernel@packages.altlinux.org>

#### KERNEL DOCUMENTATION ####
%package -n kernel-doc-%{module_name}-%{module_version}
Version:       %{module_version}
Summary:       Linux %{module_name} modules documentation
Group:         Development/Kernel

%description
%{module_name} modules sources for Linux kernel

%description -n kernel-doc-%{module_name}-%{module_version}
%{module_name} modules documentation for Linux kernel

%prep
%setup -c

%install
mkdir -p %{buildroot}%{_usrsrc}/kernel/sources
mv %{module_name}-%{module_version} kernel-source-%{module_name}-%{module_version}
tar -c kernel-source-%{module_name}-%{module_version} | bzip2 -c > \
    %{buildroot}%{_usrsrc}/kernel/sources/kernel-source-%{module_name}-%{module_version}.tar.bz2

%files
%{_usrsrc}/kernel/sources/kernel-source-%{module_name}-%{module_version}.tar.bz2

%changelog
* Mon Jul 07 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.6-alt1
- initial release.

